# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "migration_timeouts/version"

Gem::Specification.new do |spec|
  spec.name          = "migration_timeouts"
  spec.version       = MigrationTimeouts::VERSION
  spec.authors       = [ "Jordan Minneti" ]
  spec.email         = [ "jordan.minneti@freshly.com" ]

  spec.summary       = "Ruby gem that adds configurable statement and lock timeouts to Active Record migrations"
  spec.description   = "Ruby gem that automatically adds configurable statement and lock timeouts to all Active Record migrations"
  spec.homepage      = "http://github.com/Freshly/migration_timeouts"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = [ "lib" ]

  spec.add_development_dependency "pg", "< 1.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rake", "~> 11.2.2"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "activerecord", ">= 4.0", "< 7.0"
end
